Connection to Jira with jdk version 1.5

I try to make a connection to Jira

My Code:
....
JiraRestClientFactory restClientFactory = new AsynchronousJiraRestClientFactory();
JiraRestClient restClient = restClientFactory.createWithBasicHttpAuthentication(uri, user, password);
....

I have the following error:

exception
javax.servlet.ServletException: Servlet execution threw an exception
...
root cause
java.lang.UnsupportedClassVersionError: Bad version number in .class file (unable to load class com.atlassian.jira.rest.client.api.JiraRestClientFactory)
...

I use these libs (and the needed dependencies):
jira-rest-java-client-api-2.0.0-m25.jar
jira-rest--java-client-core-2.0.0-m25.jar

I use in my project the jdk version 1.5. What is the required jdk version for the class 'AsynchronousJiraRestClientFactory()'?
Exists a other possibility to connect with Jira (with jdk 1.5)? I use the class 'AsynchronousJiraRestClientFactory()', because the class 'JerseyJiraRestClientFactory' ist not included (tutorial).

1 answer

0 votes
Pedro Cora Atlassian Team Sep 19, 2013

Currently the most recent versions of JIRA will run on JDK 1.6 and 1.7. 1.5 is no longer used, neither supported for a while already.

Suggest an answer

Log in or Sign up to answer
Community showcase
Published Nov 27, 2018 in Portfolio for Jira

Introducing a new planning experience in Portfolio for Jira (Server/DC)

In the past, Portfolio for Jira required a high degree of detail–foresight that was unrealistic for many businesses to   have–in   order to produce a reliable long-term roadmap. We're tur...

2,708 views 17 21
Read article

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you